aboutsummaryrefslogtreecommitdiff
path: root/x11-toolkits/tkshape/files/patch-demos-fancytext.tcl
diff options
context:
space:
mode:
Diffstat (limited to 'x11-toolkits/tkshape/files/patch-demos-fancytext.tcl')
-rw-r--r--x11-toolkits/tkshape/files/patch-demos-fancytext.tcl14
1 files changed, 14 insertions, 0 deletions
diff --git a/x11-toolkits/tkshape/files/patch-demos-fancytext.tcl b/x11-toolkits/tkshape/files/patch-demos-fancytext.tcl
new file mode 100644
index 000000000000..f3423a9b712b
--- /dev/null
+++ b/x11-toolkits/tkshape/files/patch-demos-fancytext.tcl
@@ -0,0 +1,14 @@
+--- demos/fancytext.tcl Mon Sep 11 12:01:58 2000
++++ demos/fancytext.tcl.new Sun Mar 14 14:36:43 2004
+@@ -32,9 +32,9 @@
+ # $Id: demo.tcl,v 1.1 1997/09/17 21:10:23 donal Exp donal $
+
+ # Now we make cunning use of the backslash/shell trick \
+-[ -x `dirname $0`/../shapewish ] && exec `dirname $0`/../shapewish $0 ${1+"$@"} || exec wish8.0 $0 ${1+"$@"} || { echo "`basename $0`: couldn't start wish" >&2 ; exit 1; }
++[ -x `dirname $0`/../shapewish ] && exec `dirname $0`/../shapewish $0 ${1+"$@"} || exec %%WISH%% $0 ${1+"$@"} || { echo "`basename $0`: couldn't start wish" >&2 ; exit 1; }
+
+-set dir [file join [pwd] [file dirname [info script]] ..]
++set dir [file join [pwd] [file dirname [info script]]]
+ lappend auto_path [file join $dir ..]
+ package require Shape
+